DOM::NodeFilter Class Reference

`#include <dom2_traversal.h>`

## Public Types

enum | AcceptCode { FILTER_ACCEPT = 1, FILTER_REJECT = 2, FILTER_SKIP = 3 }

enum

ShowCode {
SHOW_ALL = 0xFFFFFFFF, SHOW_ELEMENT = 0x00000001, SHOW_ATTRIBUTE = 0x00000002, SHOW_TEXT = 0x00000004,
SHOW_CDATA_SECTION = 0x00000008, SHOW_ENTITY_REFERENCE = 0x00000010, SHOW_ENTITY = 0x00000020, SHOW_PROCESSING_INSTRUCTION = 0x00000040,
SHOW_COMMENT = 0x00000080, SHOW_DOCUMENT = 0x00000100, SHOW_DOCUMENT_TYPE = 0x00000200, SHOW_DOCUMENT_FRAGMENT = 0x00000400,
SHOW_NOTATION = 0x00000800
}

## Public Member Functions

| NodeFilter (const NodeFilter &other)
| NodeFilter (NodeFilterImpl *i)
virtual NodeFilter & | operator= (const NodeFilter &other)
virtual short | acceptNode (const Node &n)
virtual NodeFilterImpl * | handle () const
virtual bool | isNull () const
void | setCustomNodeFilter (CustomNodeFilter *custom)
CustomNodeFilter * | customNodeFilter ()

## Static Public Member Functions

static NodeFilter | createCustom (CustomNodeFilter *custom)

## Protected Attributes

NodeFilterImpl * | impl

## Friends

class | NodeIterator
class | NodeIteratorImpl
class | TreeWalker
class | TreeWalkerImpl
class | NodeFilterImpl

## Detailed Description

Filters are objects that know how to "filter out" nodes.

If an Iterator or `TreeWalker` is given a filter, before it returns the next node, it applies the filter. If the filter says to accept the node, the Iterator returns it; otherwise, the Iterator looks for the next node and pretends that the node that was rejected was not there.

The DOM does not provide any filters. Filter is just an interface that users can implement to provide their own filters.

Filters do not need to know how to iterate, nor do they need to know anything about the data structure that is being iterated. This makes it very easy to write filters, since the only thing they have to know how to do is evaluate a single node. One filter may be used with a number of different kinds of Iterators, encouraging code reuse.

To create your own custom NodeFilter, define a subclass of CustomNodeFilter which overrides the acceptNode() method and assign an instance of it to the NodeFilter. For more details see the CustomNodeFilter class

Definition at line 184 of file dom2_traversal.h.

## Member Enumeration Documentation

enum DOM::NodeFilter::AcceptCode

The following constants are returned by the acceptNode() method:

Definition at line 204 of file dom2_traversal.h.

enum DOM::NodeFilter::ShowCode

These are the available values for the whatToShow parameter.

They are the same as the set of possible types for Node, and their values are derived by using a bit position corresponding to the value of NodeType for the equivalent node type.

Definition at line 217 of file dom2_traversal.h.

## Member Function Documentation

short NodeFilter::acceptNode | ( | const Node & | n | ) |

virtual

Test whether a specified node is visible in the logical view of a TreeWalker or NodeIterator.

This function will be called by the implementation of TreeWalker and NodeIterator; it is not intended to be called directly from user code.

Parameters

  n | The node to check to see if it passes the filter or not.

Returns
  a constant to determine whether the node is accepted, rejected, or skipped, as defined above .

Definition at line 165 of file dom2_traversal.cpp.

The documentation for this class was generated from the following files:

- dom2_traversal.h
- dom2_traversal.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys